Screen Calendar. About

About Screen Calendar

Screen Calendar software creates custom desktop wallpapers with built in active calendar. You can set up pleasant working atmosphere by changing desktop view (background image, calendar arrangement, fonts, colors etc.) and adding a full-functional PIM like a calendar which can be small or large, transparent or, even, hidden on your desktop.

Screen Calendar really allows you to put calendar on your desktop wallpaper choosing calendar size and transparency. Double-click the calendar to schedule your business day. To read your records fully, just move your mouse over the date cell. So, your PIM is always at hand (it runs in system tray), but it doesn't require much space, especially if you use the hide/show calendar commands.

Beginning with version 7.0, there are two different software:

  • Screen Calendar - you can synchronize (export/import) your records with Microsoft Outlook;
  • Screen Calendar (Outlook Edition) - you can schedule a business day in the Microsoft Outlook directly.

Screen Calendar lets you to:

  • choose any calendar size and place of your screen for active Screen Calendar ;
  • set transparency of calendar;
  • schedule business day clicking on a calendar
    (move mouse on calendar to read your records);
  • show half or whole the next month ;
  • select any skins and background images for your desktop or Winamp skins for calendar;
  • set random background image from folder or image list;
  • change backgrounds with any time period;
  • choose the custom calendar ;
  • start week either from Sunday or Monday or any day;
  • create calendars using any color styles suitable for you;
  • show or hide calendar;
  • show weeks numbering ;
  • customise holidays default;
  • organize your desktop icons variously;
  • show the current date on the system tray icon;
  • mark dates with records;
  • postpone records to the next or another day;
  • print calendar and records ;
  • save calendar with background or background image;
  • remind and repeat records;
  • see contrast calendar over any background;
  • set color for each background color scheme;
  • sync (export/import) records with Microsoft Outlook or
    schedule business day in the Microsoft Outlook - for version (Outlook Edition) only
  • attach any files to your records;
  • add events to you calendar easily, importing them from iCalendar.

Contact info
Technical support and consulting is available at support@screencalendar.com

Project author: FeatherySoft mail@screencalendar.com


Screen Calendar. Registration

Installation

The program is designed for OS MS Windows98/NT/2k/XP/Vista.
The strong requirement for version Outlook Edition: Microsoft Outlook.

To install the program unpack and run scsetup.exe from scrcal.zip archive.

Update Screen Calendar to version 7.x

Please do not uninstall the previous version if you want to keep the skins and your data notes.

You can import your records from a previous version of Screen Calendar to Scheduler beginning from version 6.0:
Screen Calendar options -> Dates -> Import/Export -> click the Import button.

Also, beginning with version 7.0 , there are two different software:

  • Screen Calendar - you can export or import your records to (from) Outlook;
  • Screen Calendar (Outlook Edition) - you can schedule business day in the Microsoft Outlook directly.

Remember to check for program updates often as we continue developing the software on non-stop basis. The latest version of the software or the newest skins can be downloaded from our web site www.screencalendar.com

License and registration

Screen Calendar is distributed without restrictions and limitations. On the other hand a registration reminder screen will pop up each time you run the unregistered version and word "Unregistered" is in your dates notes until you register.
Only registered users are eligible for technical support and version updates!

Full text of the license agreement is in the license.txt file.

To order Screen Calendar you can use the "Web links" item in the system tray menu and click the "Buy now!" link to order the program.

After your payment is confirmed you will receive your registration info. To finalize your registration you should enter your login name and registration key in the registration window.

To register Screen Calendar after purchasing click the Screen Calendar icon from the system tray and choose the “Registration…” item in the menu.


Screen Calendar. Tray Menu

Tray Menu

When you start Screen Calendar it will place its icon in systray. Left-click on it to find yourself straight in the dialog window. Right-click brings up the menu list with several items to choose from, and, if ever needed, option to exit application is one of them.

"Screen Calendar Options..." to customize your calendar and desktop (See also Screen Calendar Options).

"Update Desktop" to update the desktop look. Also, use this command when you want to change a background image (if you selected "Random image from folder" or "Random from image list" before. See also "Background")

"Update iCalendar sources" to update all the subscribed sources of calendar events.

Set check/uncheck "Show Calendar" to show the calendar on your desktop. All settings and notices are saved.

"Change calendar size" to change Small calendar for Full screen calendar or conversely.

"Arrange icons" to choose one of the arrangement types of icons on your desktop:

See also Desktop Icons Arrangement to find additional settings.

Set check/uncheck "Show icons on Desktop" to show or hide icons.

"Help" brings up this help file.

"Web links" to go at Home Page or Skins page. Click the "Buy now!" link to order the program.

"Feedback" to send us "Bug report" or "Information request".

"Registration..." to register the program.

"About..." brings up the information about program (See also About).

"Exit" to exit application.


Screen Calendar Options

When you start Screen Calendar, it will place its icon in systray. Left-click on it, and you will find yourself straight in a dialog window. There is a option tree on the left in the dialog window. You can click any options on the tree and set parameters.

To learn more see also:

  • Main
  • Calendar view
  • Skins
    Settings for Small size or Full screen size of calendar
  • Background
    Settings Changer of wallpapers
  • Dates
    Import/Export
    Scheduler settings
  • iCalendar (iCal)
  • Save
  • Print
  • Desktop icons


Options. Main

Main

You can choose Size of calendar grid: small or full screen calendar. Click just the monitor preview to choose the calendar arrangement on your desktop.
Note. The dates notes are in the calendar cells for the Full screen calendar or like hints for the Small calendar.

Margin
Set margin to the fixed value (margin value is specified in pixels).

Start up options
Default settings for the Screen Calendar start are "Launch with Windows start" and "Minimize after start". The added option "Exit after calendar completing" allows you to recreate the new calendar after starting and just then exit the program. In that case the program icon won't appear in your system tray and the next time you will have to run the program manually.

If you choose the "Launch with Windows start" option only (and uncheck "Minimize after start") the program window will appear after starting Windows. You have to close or minimize that window manually.

Show current date on icon. Choose the systray icon view:


Options. Calendar view

Calendar view

You can set any parameters of the calendar view:

Week orientation
Month's weeks can be placed either vertically or horizontally.

Weekdays titles can be selected either full, brief or first char only.
For example:
full - Sunday, Monday etc.
brief - Su, Mo, Tu.
first char - S M T W T F S.

Week starting point. Sunday or Monday may be taken as a week starting point.

Weeks numbering can be shown to the left or to the right of calendar for horizontal week representation and to the top or bottom of calendar for vertical week representation. If you choose calendar representation with two weeks in row/or column, weeks numbering will be imaged with using "/". For example, "5/6".

Month's appearance is formed by rows/or column alignment: each row/or column can represent one week or two weeks in a month.

Show next month. You can show next month fully or half only. All dates are active also.

Month title. You can choose any format of title including containings the current day or year.

You can select both calendar's and program interface's language (see Language box).


Options. Skins

Skins

There are many skins for your Screen Calendar. Choose the Screen Calendar Skins to change your desktop fully or the WinAmp Skins (for version 2.x of the WinAmp program) to change only style of your calendar.

You can choose any skin for your desktop. Select Skin type (Screen Calendar skins or WinAmp skins for calendar only) and choose the skin from Skins list. At once you see the preview and description of the skin. Then click the "Apply" or double-click simply.

Chameleon Skin feature - calendar adjusts to any background and looks contrasted over any wallpapers. See also Chameleon settings

"Default transparent" means current Windows color scheme and the transparent calendar.
"Default window" means the same that "Default transparent" (current Windows color scheme) but the calendar looks as the standart window. (Note. The calendar can not be dragged as a usual window)

The "browse dir..." option changes the skin folder. The program specifies the WinAmp skin direction automatically and shows the ones with the bitmap skin for AVS-window only. To choose another direction double-click the "browse dir..." item.

  • Background color and image;
  • Font options;
  • Calendar view;
  • Icons arrangement.

To save all your skin's settings, click the "Save modification..." button. It saves the skin modification and the sub-folder with "My settings" name will be shown; also, you can choose any other name.

In the most of cases you have not to change skin settings because they have already been done by authors of skins. To set fonts for each category of days or calendar cell sizes for smal/large calendar see "Small size"/"Full screen size" settings.

You can get more skins at our web site www.screencalendar.com. The loading of the Screen Calendar skins (*.csz files) is automatic.

Maybe you would like the desktop calendar and WinAmp (ver. 2.x) in one style. Of course, if the WinAmp skins are set on your computer you can choose the WinAmp Skins for your Screen Calendar. Please choose any background for this yourself because the WinAmp skins are for your player and calendar only. They do not support backgrounds (see Background)

If you have not get the WinAmp program or WinAmp skins you can find them at www.winamp.com.


Options. Skins. Small size/Full screen size

Skins. Small size/Full screen size of calendar

You can customize the desktop calendar look after choosing either it has small or full screen size.

'Spacing' box consists of the spacing and padding for cells of calendar. 'Days cell spacing' - between cells of calendar days and 'Title cells spacing' - between cells of all calendar titles. Usually value of 'Title cells spacing' is bigger than of 'Days cell spacing'.

'Day cell padding' and 'Title cell padding' indicate inside interval between the text and the cell's borders.

There are several groups of calendar elements (month title, weekdays titles, days title and notes). All available groups of elements will be shown in the tree. Here is the complete list of available groups of elements:

  • Month title
  • Weekdays titles
  • Week numbers
  • Days (with subcategories:
    Common days
    Today
    Holidays
    Special days)
  • Notes

Each group includes the following parameters (click in the appropriate field to choose needed parameters):

TEXT

  • Font (font name)
  • Font style (normal, bold, italic, bold-italic)
  • Font size
  • Text color (is chosen from RGB color models palette)
  • Text aligment (left, center, right)
  • Text orientation (horizontal or vertical)

BACKGROUND

  • Background style (none, solid color, image stretch, image tile)
  • Background image name
  • Background color (is chosen from palette)
  • Background transparency (% of transparency)

BORDER

  • Border type (none, single, thick, double)
  • Border color

You can choose any parameters. Whenever parameters are changed the changes will become available for preview.

If you change parameters for a parent category they will be the same in each subcategory. For instance, 'Days' is the parent category for 'Common days', 'Today', 'Holidays' and 'Special days'; but 'Cells settings' is the parent category for all ones. So, if you set Font size=8 for 'Cells settings', Font size will be the same for all categories.
The individual settings are shown in the 'Individual' column. To change any individual parameter to general you should uncheck the 'Individual' check.

In case you use the feature Chameleon skin (see Skins) you will see the additional window Chameleon settings.

You can customize calendar colors for each background color zone: red, yellow, green, cyan, blue, magenta, black, grey, white. The background color means a basic color of image (for example, blue for an image with sky and clouds, yellow for a sunflower field and so on).

The main principle of this feature: preview a background color (see the 'Chameleon settings' window to the right) - customize a calendar color (see the 'Screen Calendar options' window to the left) - click OK. There are already default settings for each background color, for example, show red holidays over green background or black common days over magenta background, but you can set any other calendar colors.
Click the button 'Get as now' to display the current background color; the cursor (a little square) is in the appropriate zone of the color circle; you can change the color sector dragging sector's edge. To block background color changing (to fix the little square cursor) click the button with a lock ' Lock color changing'. Click again this button to unlock this feature. The button 'Reset default' returns all default color zones' edges. Also, you can click either any sector or an approach square from the color line under the color circle to customize calendar colors for all possible backgrounds.
After you customize calendar colors for needed background colors click OK or Apply. The default background color settings will be saved on your computer so you will not have to customize that every time when you change background image or choose another skin and then Chameleon skin again. So your new chameleon settings for all background color zones become default ones.

You can get more skins at our web site www.screencalendar.com. The loading of the Screen Calendar skins (*.csz files) is automatic.


Options. Background

Background

Beginning with version 7.1 you can set as background images of the following formats: JPG, BMP, PNG.

Image Arrangement on the screen
Select arranging image on the screen:

  • Alignment,
  • Fit to screen,
  • Tile.

Alignment
Nine various alignment styles are available: centered, top left corner, bottom right corner etc. Click just the monitor preview to choose one of them.

Fit to screen
Makes the image size for full screen. Check the "Constrain Proportions" box to fit the image for full screen with saving original proportions.

Tile
Sets the image as wallpaper (tiled). You can set any background image or make image as wallpaper (select "Background" in tree and click "Tile").

Also, you can see different wallpaper every time when you click "Update desktop" or after Windows restarting. For it choose "Background" in the dialog window and click "Random image from folder"or "Random from image list". The choosing folder must include any images for background. Also, it's possible to change the backround image using Display Properties in the standard Windows' settings.

Background color
The color can be selected in RGB color model. The desired color can be achieved by either supplying the exact color values or by choosing the appropriate color from a palette.

Click the color sample to pick a color from a palette. The color picker window will represent the RGB mode palette.

You can use Eyedropper Tool to choose color exactly. Down mouse button on Eyedropper and move mouse on the screen area to choose the exact color by the eyedropper tool. Color changing will be shown in the color box. Return the Eyedropper tool to the start point to not change the color.

To change images with some period or at exact time see Changer.

Also you can Save or Print the current background image.

Image List

To edit image list click the suitable button and the 'Edit image list' window will pop up.
To add any images (jpeg or bmp format only) into the list click the 'Add image' button or use the 'drag-and-drop' operation (you can drag the file from a window of any explorer). After that a preview of image will appear above the image list in the editor window.
To add a folder with images into the image list click the 'Add folder' button and browse the one.
To delete an image choose it in the image list and then click the 'Delete image' button.

You can edit the image list in any editor. The image list must be a text file each line of which is the file name with full direction to the one (for example, C:/My_documents/Images/filename.jpg)


Options. Background. Changer

Background. Changer

To change images with some period or at exact time:

check 'Enable autochanging of background images' in 'Background' -> 'Changer';
select one of three options and set the time or period:

  • Period (from 5..30 minutes to 1..12 hours)
  • Days of week (check any ones)
  • Exact time (every day): set time and click "+"

Check 'Every start up option' to change the background after Windows restarting .

Choosing of image pictures must be set to a folder or an image list (it's possible to save files from different folders to the image list).

Also, you can see different wallpaper every time when you click "Change now". It is a very easy way to choose a new desktop wallpaper and not depends on either the 'Enable autochanging of background images' is checked or unchecked.

"Change only if Screen Calendar is minimized" option doesn't allow the program to change pictures till you finish the settings.

In case you turn on the background changer feature, it would be best to use Chameleon skin to see a contrast calendar over any wallpaper. See Skins and Chameleon settings

See also Background.


Options. Dates

Dates

Beginning from version 7.1 is is availble two different versions of Screen Calendar: Screen Calendar 7.1 and Screen Calendar 7.1 (Outlook Edition).

For Screen Calendar (Outlook Edition): schedule your business day in Outlook and display that on the desktop calendar directly (it requires Microsoft Outlook is installed on your computer);

for Screen Calendar : you use the built-in scheduler, however, you can export your records to Microsoft Outlook and import that from Microsoft Outlook to Screen Calendar. (See also Import/Export)

For both versions:

Marking the dates with notes is shown only on the small calendar. You can choose one of five marking appearances: left or right top corner by red color or date's color or underlining.

Your records will be shown in the cells of Full screen calendar and appear alike hints for picked dates.To read your notes, just move a mouse over calendar.

Hint in small calendar: | Description in full screen calendar:

For Screen Calendar only:

See How to make a to-do-list without including any time

How to use the built-in scheduler:

To add a record into the Day scheduler double-click a day of the calendar, select Type of date (Common, Holiday or Special), fill in the Description field and click the Ok button. This record is for a certain date and not attached to time, so you can see the one in the record list with date and without time indication.
Right click a record from the record list to Postpone the record to another day, Edit or Delete it. Also, you can type a more detail description of a record in this form.

You can plan your appointments using Day scheduler too: double-click a day of the calendar, double-click a time line and record an appointment; beginning with version 7.2, you can add files to the record as attachment by clicking at the Clip button. The one will be displayed in the record list as a record with time indication, attachment file number will be displayed too. Check the Show records attached to time option to see these records.

You can set reminding about an appointment and repeat the reminding: check the appropriated options (Remind and Repeat) and set your parameters.

Also, you can add any files to the record as attachments by clicking at the Clip button.

You can mark any time interval by mouse dragging, right click on it, and Add record. So, this record's start and end will be already set.

To filter your records select any time term for which you would like to see records in the Filters for records box.

How to remind about a coming record? Right click this record at the record list -> Edit date -> check Remind option -> select or set time in the Before option -> go to the Remind page -> select one of Available reminds from the list or
click New remind -> enter a remind name -> choose Type: Show Message (enter the text of the message in the Subject field), Play Sound (click Browse to set Parameters for a sound) or Run Application ((click Browse to select an application) -> Ok.
You can add any actions for reminding: click the Plus (+) button and set another type of reminder and its parameters. All reminding actions are shown in the list and have an order numbers, so you can change the action order using appropriated buttons.

How to recur any record? Double click this record at the record list -> check Repeat option -> Pepeat page -> select all needed recurring parameters. The changing will be shown at the screen calendar, and all reminding will be actual for them, however, there will be just an original record in the record list.


Options. Dates. Import/Export records

Import/Export records

You can import your records from a previous version of Screen Calendar to Scheduler beginning from version 6.0.

Your previous version (older then version 6.0) records are stored in the file: "C(or D disk):\Documents and Settings\(user name)\Application Data\Screen Calendar\dates.dat".

Beginning from Screen Calendar 7.0 you can synchronize (export/import) your records with Microsoft Outlook.


Options. Dates. Scheduler settings

Scheduler settings

Beginning with Screen Calendar 7.1: you can set any parameters for Day scheduler:

  • choose any days as "Default holidays";
  • select one of five marking appearances:
    left or right top corner by red color or date's color or underlining. Marking the dates with notes is shown only on the small calendar;
  • show descriptions in hint for your records (also, you can use it to make a to-do-list without including any time, see below);
  • set height and 2 colors of lines.
    The color can be selected in RGB color model. The desired color can be achieved by either supplying the exact color values or by choosing the appropriate color from a palette. Click the color sample to pick a color from a palette. The color picker window will represent the RGB mode palette;
    You can choose different colors for In-office time and Out of office time;
  • set start and end of your business day
    to see color difference between In-office and Out of office time
  • attach any files to your records.

For Screen Calendar 7.1 (Outlook Edition): you can schedule your business day in Microsoft Outlook directly.

Also, there is a new option "Disable Outlook warnings" to avoid Security warnings during interacting with Microsoft Outlook. Some of existing add-ins disable Outlook warnings automatically so you should uncheck this option.

How to make a to-do-list without including any time

You should do the following:
1) left click the Screen Calendar systray icon - Dates - Scheduler settings - check the option "Show description in hint" - OK;
2) double-click on the date of the screen calendar to call the Day scheduler - type the first item in the Description box (for example, "a. my boss birthday")- OK
The record will be shown on the calendar without any time.
3) in case you want to make the list of records:
double click the same day (with a description) - double click the Description box - type a list of your records using the Enter key (to
see each of them in a single line, for example, "b. my wedding" and so on) - OK

So you will be able to see all your record list on the calendar:

Hint in small calendar: | Description in full screen calendar:


Options. Dates. iCalendar (iCal)

iCalendar (iCal) - calendar events lists

Beginning with version 7.4, Screen Calendar supports iCalendar format. That enables you to add events to you calendar easily, importing them from iCalendar files.

This tutorial shows how to add events to Screen Calendar by importing them from iCal event calendars (.ics files).

After installing Screen Calendar 7.4 on your PC, there will appear an icon in your system tray. Left-click this icon to open Setup window of Screen Calendar. There is a tree in a left part of the window. Click Dates node to open a subtree. The third child node in this subtree is iCalendar (iCal). Click it to see iCalendar settings.

Open Dates \ iCalendar (iCal) to adjust settings of data exchange with iCalendar

The first thing you should do is to select iCalendar events source. There are two possible sources – Local File and URL. Default selection is Local File. To browse iCal file (.ics), click Browse button and you will see Open File window. Select needed file and click Open.

Having opened a file, you will see its name in the editor field. Now you have three possibilities to deal with selected iCal file. The first is to subscribe for the event source. That will enable you to update events list with given frequency. Click Subscribe button and name of the event source will appear in a list of subscribed event sources.

The second possibility is to import events from iCalendar file. You can use this if you need to add events from iCal file to Screen Calendar only one time and don’t need to update events list any more. Click Import button to upload events from selected iCal file. You will see a message box with the number of imported events.

In the picture below you can see desktop calendar with already imported events (dates with events are underlined). Event can be viewed by moving mouse cursor to a date cell (event record emerges like a hint).

Desktop calendar with the events imported from iCal file
Desktop calendar with the events imported from iCal file

Also you can export events from desktop calendar to selected iCal file. Click export button and your events will be exported to selected iCalendar file. You will see a message box with the number of exported events.

To add web iCalendar events source, tick off URL and enter URL of a source in editor field. You can use copy-paste to enter URL – There is Paste button to the right from editor field.

As well as for local file, you can use subscribe and import functions for remote iCalendar events source. Export function is not available for web events sources.

Click Subscribe button to add URL to the list of subscribed event sources
Click Subscribe button to add URL to the list of subscribed event sources

When all needed iCalendar events sources are added to the list subscribed events sources, you can set the frequency of a source update. The frequency is set individually for each events source. Right-click one of the subscribed events sources and you will see source menu in which you can choose needed frequency of automatic update.

Tick off needed frequency of iCalendar events source update
Tick off needed frequency of iCalendar events source update

iCalendar sources can also be updated manually. To update all the subscribed sources, use Update All event sources button...

Update All event sources button in the dialog window
Update All event sources button in the dialog window

…or Update iCalendar sources item in tray menu (right-click tray icon to open this menu)

Update iCalendar sources menu-item in tray menu
Update iCalendar sources menu-item in tray menu

To update one of the subscribed iCalendar sources, select it and click Update only active event sources button or right-click the source and click Update in source menu.

Buttons used to update one of the subscribed iCalendar events sources
Buttons used to update one of the subscribed iCalendar events sources

You can remove unnecessary events source from the list of subscribed event sources. Select an unnecessary source and click Remove button or right-click this source and choose Remove item of source menu. To clear the list of subscribed events sources, use Remove All button.

After removing an iCalendar source from the list of subscribed events sources, events imported from this source won’t disappear from your desktop calendar. So, if you want to delete event records as well, you should do this manually.


Options. Print

Print

For Screen Calendar (Outlook Edition): as far as you schedule your business day in Outlook you can print your records from Outlook also.
In Screen Calendar you can print:

  • Desktop calendar as is: both the current calendar and the background will be fit to page with saving the proportions.
  • Background image only (without calendar); it will be fit to page with saving the proportions.

For Screen Calendar: you can print the calendar and notes.

Choose one of three items in the "What to print" box, click Page setup button to set the needed parameters of the page and click Print.

You can print:

  • Desktop calendar as is: both the current calendar and the background will be fit to page with saving the proportions.
  • Calendar for a month (without background) - current or next.
  • Notes for: today, this week, this month, the selected period and even all your records. You can select the period either "from... to" (check each of them and choose the dates) or "from" (to print the notes from the dates to the current day) or "to" (to print all your notes before the date).
  • Background image only (without calendar); it will be fit to page with saving the proportions.

The "Font settings" box appears only if you want to print notes.

Note. The "Use current font colors" option is available only if your printer supports colored print.


Options. Save

Save

Beginning from version 5.1, Screen Calendar allows you to save either the current calendar with background or background image only:

Also you can choose Image format: Windows BitMap (*.bmp file) or JPEG (*.jpg file) and save the image with any name.


Options. Desktop Icons

Desktop Icons Arrangement

Beginning from version 3.0, Screen Calendar allows you to organize your desktop icons variously.

The "Enable Screen Calendar Icons arrangement" option must be active to arrange the desktop icons.

Please select “Number on desktop” for your icons in vertical and horizontal rows. This number haven’t to be less than the real number of icons.
You can see preview of the icons arrangement when you choose:
Left
Top
Right
Bottom 		Left & Right
Top & Bottom
Spiral CW
Spiral CCW

For quick arrangement: use the "Arrange icons" item in the systray menu to choose one of the arrangement types of icons on your desktop.
The icons arrangement by this method runs always and not depends on the "Enable Screen Calendar Icons arrangement" option.

Set check/uncheck "Show icons on Desktop" in the systray menu to show or hide icons.